Get a task by id
GET /v1/tasks/{id}
GET
/v1/tasks/{id}
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
integer
Responses
Section titled “ Responses ”Task found.
object
id
integer
title
string
description
string
contactId
integer
contactName
string
dealId
integer
dealTitle
string
priority
string
status
string
dueAt
string format: date-time
completedAt
string format: date-time
isOverdue
boolean
createdAt
string format: date-time
updatedAt
string format: date-time
Missing or invalid bearer token.
Standard error envelope for all v1 error responses.
object
error
Machine-readable error code.
string
message
Human-readable explanation of the error.
string
details
Optional structured context (field-level validation errors, etc.).
Example
{ "error": "unauthorized", "message": "Invalid bearer principal"}The API key does not have the required scope for this operation.
Standard error envelope for all v1 error responses.
object
error
Machine-readable error code.
string
message
Human-readable explanation of the error.
string
details
Optional structured context (field-level validation errors, etc.).
Example
{ "error": "forbidden", "message": "scope contacts:write is required"}The requested resource does not exist or is not owned by the caller.
Standard error envelope for all v1 error responses.
object
error
Machine-readable error code.
string
message
Human-readable explanation of the error.
string
details
Optional structured context (field-level validation errors, etc.).
Example
{ "error": "not_found", "message": "contact not found"}